body {
  cursor: url('../images/cursor.png'), auto;
  text-align: center;
}

a {
  cursor: url('../images/cursor.png'), auto;
}

button:hover {
  cursor: url('../images/cursor.png'), auto;
}

.titreText {
  display: flex;
  align-items: center;
  font-size: 62px;
  font-family: Oswald;
  color: white;
  opacity: 0.8;
  text-align: center;
  margin-bottom: 25px;
}

.sousTitreText {
  font-size: 48px;
  font-family: Great Vibes;
  color: #27c9ee;
  background-color: rgba(0, 0, 0, 0.6);
  padding: 25px 100px 25px 100px;
  border-radius: 50px 0px 50px 0px;
  text-align: center;
  margin-bottom: 15px;
}

.moyenText {
  font-size: 26px;
  color: rgb(245, 248, 249);
  font-family: 'Oswald', sans-serif;
  margin-bottom: 50px;
  text-align: center;
}

.transition-fade {
    transition: opacity 2.0s;
}

#containerMainPage {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#secondaryContainerMainPage {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#buttonMainPage {
    z-index: 999;
    width: 350px;
    height: 50px;
    color: white;
    border: 1px;
    background-color: rgb(39, 201, 238);
    border-radius: 25px;
    font-family: 'Oswald', sans-serif;
    font-size: 22px;
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 1.0s;
}

#buttonMainPage:hover {
    background-color: rgba(0, 0, 0, 0.5);
}

* {
    margin: 0;
    padding: 0;
}

#effectmove {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    min-height: 100vh;
    background-image: url('../images/backgrounddarkwood.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    overflow: hidden;
}
  
  .glowing {
    position: relative;
    min-width: 700px;
    height: 550px;
    margin: -150px;
    transform-origin: right;
    animation: colorChange 5s linear infinite;
  }
  
  .glowing:nth-child(even) {
    transform-origin: left;
  }
  
  @keyframes colorChange {
    0% {
      filter: hue-rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      filter: hue-rotate(360deg);
      transform: rotate(360deg);
    }
  }
  
  .glowing span {
    position: absolute;
    top: calc(80px * var(--i));
    left: calc(80px * var(--i));
    bottom: calc(80px * var(--i));
    right: calc(80px * var(--i));
  }
  
  .glowing span::before {
    content: "";
    position: absolute;
    top: 50%;
    left: -8px;
    width: 15px;
    height: 15px;
    background: #f00;
    border-radius: 50%;
  }
  
  .glowing span:nth-child(3n + 1)::before {
    background: rgba(134,255,0,1);
    box-shadow: 0 0 20px rgba(134,255,0,1),
      0 0 40px rgba(134,255,0,1),
      0 0 60px rgba(134,255,0,1),
      0 0 80px rgba(134,255,0,1),
      0 0 0 8px rgba(134,255,0,.1);
  }
  
  .glowing span:nth-child(3n + 2)::before {
    background: rgba(255,214,0,1);
    box-shadow: 0 0 20px rgba(255,214,0,1),
      0 0 40px rgba(255,214,0,1),
      0 0 60px rgba(255,214,0,1),
      0 0 80px rgba(255,214,0,1),
      0 0 0 8px rgba(255,214,0,.1);
  }
  
  .glowing span:nth-child(3n + 3)::before {
    background: rgba(0,226,255,1);
    box-shadow: 0 0 20px rgba(0,226,255,1),
      0 0 40px rgba(0,226,255,1),
      0 0 60px rgba(0,226,255,1),
      0 0 80px rgba(0,226,255,1),
      0 0 0 8px rgba(0,226,255,.1);
  }
  
  .glowing span:nth-child(3n + 1) {
    animation: animate 10s alternate infinite;
  }
  
  .glowing span:nth-child(3n + 2) {
    animation: animate-reverse 3s alternate infinite;
  }
  
  .glowing span:nth-child(3n + 3) {
    animation: animate 8s alternate infinite; 
  }
  
  @keyframes animate {
    0% {
      transform: rotate(180deg);
    }
    50% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
  
  @keyframes animate-reverse {
    0% {
      transform: rotate(360deg);
    }
    
    50% {
      transform: rotate(180deg);
    }
    
    100% {
      transform: rotate(0deg);
    }
  }

  @media screen and (max-width: 500px) {
    .titreText {
      display: flex;
      align-items: center;
      font-size: 38px;
      font-family: Oswald;
      color: white;
      opacity: 0.8;
      text-align: center;
    }
    .sousTitreText {
      font-size: 28px;
      font-family: Great Vibes;
      color: white;
      opacity: 0.6;
      text-align: center;
    }
    .sousTitreText {
      font-size: 48px;
      font-family: Great Vibes;
      color: #27c9ee;
      background-color: rgba(0, 0, 0, 0.6);
      padding: 25px;
      border-radius: 50px 0px 50px 0px;
      text-align: center;
      margin-bottom: 15px;
    }
  }
